# Uses of Interface
org.eclipse.core.runtime.ISafeRunnableWithResult

Packages that use ISafeRunnableWithResult
Package
Description
org.eclipse.core.runtime
Provides support for the runtime platform, core utility methods and the extension registry.

## Uses of ISafeRunnableWithResult in org.eclipse.core.runtime

Methods in org.eclipse.core.runtime with parameters of type ISafeRunnableWithResult
Modifier and Type
Method
Description
`static <T> T`
SafeRunner.`run(ISafeRunnableWithResult<T> code)`
Runs the given runnable in a protected mode and returns the result given by the runnable.